码迷,mamicode.com
首页 > 系统相关 > 详细

eclipse 中离线安装activiti插件,报错“An error occurred while collecting items to be installed session context was:(...”

时间:2019-07-12 09:44:42      阅读:37      评论:0      收藏:0      [点我收藏+]

标签:ext   blog   undle   org   str   osgi   ica   font   ram   

eclipse 中离线安装activiti插件,报错“An error occurred while collecting items to be installed session context was:(...”

按照文章:eclipse离线安装Activiti Designer插件,下载插件的两个离线安装文件,并按照步骤安装后,一直next后报错,如下:

An error occurred while collecting items to be installed
session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.apache.commons.io,2.2.0.v201405211200
No repository found containing: osgi.bundle,org.apache.commons.lang,2.6.0.v201404270220
No repository found containing: osgi.bundle,org.apache.xerces,2.9.0.v201101211617
No repository found containing: osgi.bundle,org.apache.xml.resolver,1.2.0.v201005080400
No repository found containing: osgi.bundle,org.apache.xml.serializer,2.7.1.v201005080400
No repository found containing: osgi.bundle,org.eclipse.draw2d,3.10.0.201506010206
No repository found containing: osgi.bundle,org.eclipse.emf,2.6.0.v20150601-0402
No repository found containing: osgi.bundle,org.eclipse.emf.common.ui,2.10.0.v20150601-0402
No repository found containing: osgi.bundle,org.eclipse.emf.edit,2.11.0.v20150601-0402
No repository found containing: osgi.bundle,org.eclipse.emf.edit.ui,2.11.0.v20150601-0402
No repository found containing: osgi.bundle,org.eclipse.emf.transaction,1.9.0.201506010221
No repository found containing: osgi.bundle,org.eclipse.emf.validation,1.8.0.201505312255
No repository found containing: osgi.bundle,org.eclipse.gef,3.10.0.201506010206
No repository found containing: osgi.bundle,org.eclipse.wst.common.core,1.2.0.v200908251833
No repository found containing: osgi.bundle,org.eclipse.wst.common.environment,1.0.400.v200912181831
No repository found containing: osgi.bundle,org.eclipse.wst.common.frameworks,1.2.200.v201304241450
No repository found containing: osgi.bundle,org.eclipse.wst.common.frameworks.ui,1.2.400.v201504292002
No repository found containing: osgi.bundle,org.eclipse.wst.common.project.facet.core,1.4.300.v201111030423
No repository found containing: osgi.bundle,org.eclipse.wst.common.ui,1.1.500.v200911182011
No repository found containing: osgi.bundle,org.eclipse.wst.common.uriresolver,1.2.200.v201505132009
No repository found containing: osgi.bundle,org.eclipse.wst.sse.core,1.1.900.v201401092025
No repository found containing: osgi.bundle,org.eclipse.wst.sse.ui,1.3.400.v201505141512
No repository found containing: osgi.bundle,org.eclipse.wst.validation,1.2.600.v201501211647
No repository found containing: osgi.bundle,org.eclipse.wst.validation.ui,1.2.500.v201310231452
No repository found containing: osgi.bundle,org.eclipse.wst.xml.core,1.1.902.v201501211904
No repository found containing: osgi.bundle,org.eclipse.wst.xml.ui,1.1.501.v201501212057

后上网查找文章:

An error occurred while collecting items to be installed session context was:(profile=epp.package.je

原因在于:出现错误的原因是Eclipse的更新管理P2出错了。p2有它的一个垃圾回收机制,之前删除的JAR包在未被回收之前,再次重装,系统不会做重新download的动作,但是它又找不到那个JAR包了,故而报错。

解决办法:

在运行命令行中切换到Eclipse的安装根目录,即eclipse.exe所在目录执行命令:

eclipse -application org.eclipse.equinox.p2.garbagecollector.application -profile **** (****是configuration/concfig.ini里eclipse.p2.profile项的值)。

上面的命令有点看不懂,“**** ””这到底是是填这个**** ,还是按照后面括号的注释填入新的值,有点懵,主要是eclipse.p2.profile项的值我找了,但不明确到底

等于哪段值。反正试了,最后报错,但还是安装成功了。

我的安装过程记录如下:

1.进eclipse根目录:

技术图片

2.执行上面的命令行:

技术图片

其中,第1个直接启动了eclipse成功未报错,第2、3条启动eclipse后,报错,也就是为成功启动eclipse。

 硬头皮试了一下,反正最后我在eclipse中再安装插件包时没有报错了,直接安装成功,不知道是这三个中的哪个起效果了。记录一下,以后再次安装时多试验几遍,看哪个起作用的。

 



 

eclipse 中离线安装activiti插件,报错“An error occurred while collecting items to be installed session context was:(...”

标签:ext   blog   undle   org   str   osgi   ica   font   ram   

原文地址:https://www.cnblogs.com/zz22--/p/11173962.html

(0)
(0)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
© 2014 mamicode.com 版权所有 京ICP备13008772号-2
迷上了代码!